package com.ruoyi.project.invoice.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.invoice.domain.TInvoiceContractor;

import java.util.List;

/**
 * 承包商信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-08-24
 */
public interface TInvoiceContractorMapper
{
    /**
     * 查询承包商信息
     *
     * @param id 承包商信息ID
     * @return 承包商信息
     */
    public TInvoiceContractor selectTInvoiceContractorById(Long id);

    /**
     * 查询承包商信息列表
     *
     * @param tInvoiceContractor 承包商信息
     * @return 承包商信息集合
     */
    @DataScope(deptAlias = "d")
    public List<TInvoiceContractor> selectTInvoiceContractorList(TInvoiceContractor tInvoiceContractor);

    /**
     * 新增承包商信息
     *
     * @param tInvoiceContractor 承包商信息
     * @return 结果
     */
    public int insertTInvoiceContractor(TInvoiceContractor tInvoiceContractor);

    /**
     * 修改承包商信息
     *
     * @param tInvoiceContractor 承包商信息
     * @return 结果
     */
    public int updateTInvoiceContractor(TInvoiceContractor tInvoiceContractor);

    /**
     * 删除承包商信息
     *
     * @param id 承包商信息ID
     * @return 结果
     */
    public int deleteTInvoiceContractorById(Long id);

    /**
     * 批量删除承包商信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTInvoiceContractorByIds(Long[] ids);

    //根据名字查承包商信息  暂未用
    public TInvoiceContractor selectTInvoiceContractorByName(String username);


    /**
     *  查询承包商列表
     */
    List<String> selectTInvoiceContractorAllList();

}
